window.addEvent('load', function(){
	// smooth anchor scrolling
	new SmoothScroll(); 
	// style area
	if(document.id('gkStyleArea')){
		document.id('gkStyleArea').getElements('a').each(function(element,i){
			element.addEvent('click',function(e){
	            e.stop();
				changeStyle(i+1);
			});
		});
	}
	// font-size switcher
	if(document.id('gkTools') && document.id('gkMainbody')) {
		var current_fs = 100;
		var content_fx = new Fx.Tween(document.id('gkMainbody'), { property: 'font-size', unit: '%', duration: 200 }).set(100);
		document.id('gkToolsInc').addEvent('click', function(e){ 
			e.stop(); 
			if(current_fs < 150) { 
				content_fx.start(current_fs + 10); 
				current_fs += 10; 
			} 
		});
		document.id('gkToolsReset').addEvent('click', function(e){ 
			e.stop(); 
			content_fx.start(100); 
			current_fs = 100; 
		});
		document.id('gkToolsDec').addEvent('click', function(e){ 
			e.stop(); 
			if(current_fs > 70) { 
				content_fx.start(current_fs - 10); 
				current_fs -= 10; 
			} 
		});
	}
	// K2 font-size switcher fix
	if(document.id('fontIncrease') && document.getElement('.itemIntroText')) {
		document.id('fontIncrease').addEvent('click', function() {
			document.getElement('.itemIntroText').set('class', 'itemIntroText largerFontSize');
		});
		
		document.id('fontDecrease').addEvent('click', function() {
			document.getElement('.itemIntroText').set('class', 'itemIntroText smallerFontSize');
		});
	}
	// login popup
	if(document.id('gkPopupLogin')) {
		var popup_overlay = document.id('gkPopupOverlay');
		popup_overlay.setStyles({'display': 'block', 'opacity': '0'});
		popup_overlay.fade('out');

		var opened_popup = null;
		var popup_login = null;
		var popup_login_h = null;
		var popup_login_fx = null;
		
		if(document.id('gkPopupLogin')) {
			popup_login = document.id('gkPopupLogin');
			popup_login.setStyle('display', 'block');
			popup_login_h = popup_login.getElement('.gkPopupWrap').getSize().y;
			popup_login_fx = new Fx.Morph(popup_login, {duration:200, transition: Fx.Transitions.Circ.easeInOut}).set({'opacity': 0, 'height': 0 }); 
			document.id('gkLogin').addEvent('click', function(e) {
				new Event(e).stop();
				popup_overlay.fade(0.45);
				popup_login_fx.start({'opacity':1, 'height': popup_login_h});
				opened_popup = 'login';
				
				(function() {
					if(document.id('modlgn-username')) {
						document.id('modlgn-username').focus();
					}
				}).delay(600);
			});
		}
		
		popup_overlay.addEvent('click', function() {
			if(opened_popup == 'login')	{
				popup_overlay.fade('out');
				popup_login_fx.start({
					'opacity' : 0,
					'height' : 0
				});
			}
		});
	}
});
// animations
var elementsToAnimate = [];
//
window.addEvent('load', function() {
	setTimeout(function() {
		document.getElements('*[data-animation]').each(function(element, i) {
			elementsToAnimate.push(['animation', element, element.getPosition().y]);
		});
		
		document.getElements('.nspanimate').each(function(element, i) {
			elementsToAnimate.push(['nsp', element, element.getPosition().y]);
		});
	}, 500);
});

// scroll animations
window.addEvent('scroll', function(e) {
	if(elementsToAnimate.length > 0) {		
		// get the necessary values and positions
		var currentPosition = window.getScroll().y;
		var windowHeight = window.getSize().y;
		// iterate throught the elements to animate
		for(var i = 0; i < elementsToAnimate.length; i++) {
			if(elementsToAnimate[i][2] < currentPosition + windowHeight + 100) {
				// create a handle to the element
				var element = elementsToAnimate[i][1];
				// check the animation type
				if(elementsToAnimate[i][0] == 'animation') {
					gkAddClass(element, 'loaded', false);
					// clean the array element
					elementsToAnimate[i] = null;
				} else if(elementsToAnimate[i][0] == 'nsp') {
					if(element.getElement('.nspArtScroll1')) {
						var arts = element.getElement('.nspArtScroll1').getElement('.nspArtPage').getElements('.nspArt');
						arts.each(function(elm, j) {
							gkAddClass(elm, 'nsploaded', j);
						});
					}
					// clean the array element
					elementsToAnimate[i] = null;
				}
			}
		}
		// clean the array
		elementsToAnimate = elementsToAnimate.clean();
	}
});	

function gkAddClass(element, cssclass, i) {
	var delay = element.getProperty('data-delay');
	
	if(!delay) {
		delay = (i !== false) ? i * 150 : 0;
	}

	setTimeout(function() {
		element.addClass(cssclass);
	}, delay);
}

// function to set cookie
function setCookie(c_name, value, expire) {
	var exdate=new Date();
	exdate.setDate(exdate.getDate()+expire);
	document.cookie=c_name+ "=" +escape(value) + ((expire==null) ? "" : ";expires=" + exdate.toUTCString());
}
// Function to change styles
function changeStyle(style){
	var file1 = $GK_TMPL_URL+'/css/style'+style+'.css';
	var file2 = $GK_TMPL_URL+'/css/typography/typography.style'+style+'.css';
	var file3 = $GK_TMPL_URL+'/css/typography/typography.iconset.style'+style+'.css';
	new Asset.css(file1);
	new Asset.css(file2);
	new Asset.css(file3);
	Cookie.write('gk_startup_j25_style', style, { duration:365, path: '/' });
}